﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define s = Character("Stephen")
define rbg = Character("Ruth Bader Ginsburg")

# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.
    image rbgimg = "rbg.png"
    image rbgimg1 = "rbg1.png"
    image rbgimg2 = "rbg2.png"
    image rbgimg3 = "rbg3.png"
    image simg = "s.png"
    image simg1 = "s1.png"
    image simg2 = "s2.png"
    image simg3 = "s3.png"

    scene bgbuilding

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # These display lines of dialogue.

    s "We are at the watergate apartments to meet Ruth Bader Ginsburg today!"
    s "Going to ask her a very important question!"

    menu:
        "Is hotdog a sandwich?":
            jump sandwich
        "Do you think Brett Kavanaugh is fit to be a Supreme Court Justice?":
            jump nocomment
    label sandwich:
        show rbgimg
        rbg "You are asking me?"
        rbg "You tell me what a sandwich is, and I'll tell you if a hot dog is a sandwich."
        show simg
        s "ummm... A sandwich is a ummm... is two pieces of bread with almost any type of filling in between, as
        long as it's not more bread."
        show rbgimg2
        rbg "You said two pieces of bread. Does that include a roll that is cut open but still not completely?"
        show simg2
        s "See, that's the crux. You've gotten immediately. See that's why you're on the supreme court."
        s "That gets immediately to the questions - does the roll need to be separated into two parts."
        s "Because a sub sandwich - a sub is not split, and yet it is a sandwich."
        show rbgimg1
        rbg "Yes."
        show simg1
        s "So hot dog is a sandwich?"
        show rbgimg3
        rbg "On your definition, yes, it is."
        show simg3
        s "Well played, lady justice."
        return
    label nocomment:
        show rbgimg
        rbg "No Comment"
        return
    # This ends the game.

    return
